/*
  MPIO block device driver, version 0.0.1
  Copyright (C) 2002 Yury Umanets (umka@namesys.com)

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation, version 2.
*/

#ifndef MPIO_DEVICE_H
#define MPIO_DEVICE_H

#include <linux/config.h>
#include <linux/types.h>
#include <linux/kernel.h>

#ifdef CONFIG_DEVFS_FS
#include <linux/devfs_fs_kernel.h>
#endif

#include "mpio.h"

struct mpioblock_dev {
	struct mpio *mpio;                  /* mpio device */

#ifdef CONFIG_DEVFS_FS
	devfs_handle_t devfs;               /* devfs device node */
#endif
	
	unsigned char minor;		    /* the starting minor number for this device */
	struct semaphore sem;               /* locks this structure */
	int counter;                        /* number of times this port has been opened */
};

#endif
